Skip to main content
Get Organisational Unit
curl --request GET \
  --url https://{tenant_name}.{region}.techwolf.ai/organisational_units/{external_id} \
  --header 'Authorization: Bearer <token>'
{
  "external_id": "a3903505-eb84-42dc-a79f-5e7b1fe897b7",
  "name": "Engineering",
  "active": true,
  "parent_id": "b4824606-fc95-53ed-b80g-6f8c2ge908c8",
  "total_nr_of_employees": 13
}

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

Response

OK

Default structure for Organisational Unit data.

external_id
string<uuid>
required

The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"a3903505-eb84-42dc-a79f-5e7b1fe897b7"

name
string
required

The name of the Organisational Unit.

Required string length: 1 - 100
Example:

"Engineering"

active
boolean
required

Indicates whether the Organisational Unit is active or not.

parent_id
string<uuid>
required

Unique identifier for the parent Organisational Unit, establishing the organisational structure. Organisational Units with parent_id=null are root Organisational Units.

Required string length: 1 - 100
Pattern: [a-zA-Z0-9_-]+
Example:

"b4824606-fc95-53ed-b80g-6f8c2ge908c8"

total_nr_of_employees
integer
required

Total number of Employees in this Organisational Unit and all its subordinate Organisational Units.

Required range: x >= 0
Example:

13